<?xml version="1.0" encoding="Windows-31J"?>
<!--
//
// CopyRight (C) 2003, NTT All rights reserved.
//
//	DefaultContentsMenu.xsl
//
//			ύX
//				2003.02.01	VK쐬
//
//	@\
//  ftHgڎ쐬xsl
//
-->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	version="1.0">

	<xsl:include href="Common.xsl"/>

	<xsl:output
		method="html"
		doctype-public="-//W3C//DTD HTML 4.0//EN"
		doctype-system="http://www.w3.org/TR/REC-html40/strict.dtd"
		encoding="Windows-31J"
		indent="yes"
		media-type="text/html"
		version="4.0"/>

	<xsl:variable name="BaseURL" select="ContentsMenu/ContentsInformation/BaseURL/text()"/>
	<xsl:variable name="ScriptURL" select="ContentsMenu/ContentsInformation/ScriptURL/text()"/>

	<xsl:template match="/">
		<!-- html^Ȍo -->
		<html>
			<!-- head^Ȍo -->
			<head>
			
				<title><xsl:value-of select="java:jp.co.ntt.lms.lo.scorm.util.Message.get(&quot;Titles/Title[@id='ContentsMenu']&quot;)"/></title>
				<script language="JavaScript" type="text/javascript" src="/xms2/jsp/xmo/Base/js/default.js"></script>
				<script language="JavaScript" src="{$ScriptURL}"/>
				<xsl:call-template name="createLMSScript">
					<xsl:with-param name="mode" select="'ContentsMenu'"/>
				</xsl:call-template>
				<script>
				<![CDATA[
				function expandInternal(name, method, allTr, allInput)
				{
					if (method) {
						var i;

						for (i = 0; i < allTr.length; i++) {
							if (allTr[i].getAttribute("_parent") == name) {
								allTr[i].style.display = "none";
								expandInternal(allTr[i].getAttribute("_self"), true, allTr, allInput);
							}
						}
					}
					else {
						var i, j;

						for (i = 0; i < allTr.length; i++) {
							if (allTr[i].getAttribute("_parent") == name) {
								for (j = 0; j < allInput.length; j++) {
									if (allInput[j].getAttribute("_self") == name) {
										if (allInput[j].value == "-") {
											if (allTr[i].getAttribute("_visible") == "true") {
												allTr[i].style.display = "block";
											}
											expandInternal(allTr[i].getAttribute("_self"), false, allTr, allInput);
											break;
										}
									}
								}
							}
						}
					}
				}

				function expand(object, name)
				{
					var allTr = document.getElementsByTagName("tr");
					var allInput = document.getElementsByTagName("input");

					if (object.value == "-") {
						object.value = "+";
						expandInternal(name, true, allTr, allInput);
					}
					else {
						object.value = "-";
						expandInternal(name, false, allTr, allInput);
					}
				}
				]]>
				</script>
			</head>

			<!-- body^Ȍo -->
			<body _lmsname="ContentsMenu" onload="javascript:LMSUI_NavInitialize();" onunload="javascript:LMSUI_NavTerminate();">
				<xsl:call-template name="createLMSTags">
					<xsl:with-param name="mode" select="'ContentsMenu'"/>
				</xsl:call-template>

				<!-- css̒` -->
				<style>
					body {
						background-color: white;
						margin-left: 0;
						margin-top: 0;
						margin-bottom: 0;
						margin-right: 0;
					}

					th {
						border-width: 5px;
						border-style: solid;
						border-color: white;
						background-color: transparent;
						color: black;
						font-size: 110%;
						text-align: left;
					}

					.over {
						border-width: none;
						border-style: none;
						background-color: lightgrey;
						color: black;
					}

					.out {
						border-width: none;
						border-style: none;
						background-color: transparent;
						color: black;
					}

					.expand_button {
						border-width: 1px;
						border-style: solid;
						border-color: gray;
						background-color: whitesmoke;
						color: black;
						cursor: auto;
						font-size: 75%;
					}
					
					span {
						font-size:12px;
						text-decoration:none;
						cursor: hand; 
						margin:0 0 0 2px; 
						padding:0 0 0 15px; 
						background:url(/xms2/image/xmo/Base/jpn/common/icn-arrow-03.gif) no-repeat left 0.2em;
						color:#1d3994 !important;
					}
					
					.selected span {
						font-size: 12px;
						text-decoration: none;
						cursor: auto; 
						background: none;
						color: black !important;
					}
				</style>
				<div id="hanger-popup">

				<table width="400" border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td valign="top">
							<img src="/xms2/image/xmo/Base/jpn/subp_hd.gif" width="400" height="10" alt=""/><br/>
							<img src="/xms2/image/xmo/Base/jpn/ap_tit1_index.gif" width="267" height="30" alt="J^O"/>
						</td>
					</tr>
				</table>
				<!-- ڎ̏o -->
				<table width="100%" summary="ڎ" class="idx_table">
					<!-- ȅo -->
					<xsl:apply-templates select="ContentsMenu/Contents/Content"/>
				</table>
				</div>
			</body>
		</html>
	</xsl:template>
	<!-- ڎ̓eo͂ev[g -->
	<xsl:template match="Content">
		<xsl:variable name="onmouseover">javascript:this.className='over';</xsl:variable>
		<xsl:variable name="onmouseout">javascript:this.className='out';</xsl:variable>
		<xsl:variable name="position"><xsl:value-of select="position()"/></xsl:variable>
		<xsl:variable name="indent"><xsl:value-of select="Indent/text()"/></xsl:variable>
		<xsl:variable name="visible"><xsl:value-of select="@Visible"/></xsl:variable>
		<xsl:variable name="identifier"><xsl:value-of select="@Identifier"/></xsl:variable>
		<xsl:variable name="parentIdentifier"><xsl:value-of select="../@Identifier"/></xsl:variable>

		<tr _parent="{$parentIdentifier}" _self="{$identifier}" _visible="{$visible}">
			<xsl:attribute name="style"><xsl:choose><xsl:when test="$visible!='false'">display: block;</xsl:when><xsl:otherwise>display: none;</xsl:otherwise></xsl:choose></xsl:attribute>
			<xsl:attribute name="onmouseover"><xsl:value-of select="$onmouseover"/></xsl:attribute>
			<xsl:attribute name="onmouseout"><xsl:value-of select="$onmouseout"/></xsl:attribute>

			<!-- ^Cg(N̏o) -->
			<td nowrap="1">
			<xsl:attribute name="class"><xsl:if test="@Current!='false'">selected</xsl:if></xsl:attribute>
				<xsl:call-template name="nbsp">
					<xsl:with-param name="count" select="$indent*3"/>
				</xsl:call-template>
				<xsl:choose>
					<xsl:when test="not(Content[@Visible!='false'])"><xsl:call-template name="nbsp"><xsl:with-param name="count" select="4"/></xsl:call-template></xsl:when>
					<xsl:otherwise><xsl:call-template name="nbsp"/><input type="button" class="expand_button" _parent="{$parentIdentifier}" _self="{$identifier}" onfocus="javascript:this.blur();" value="-" onclick="javascript:expand(this, '{$identifier}');"/><xsl:call-template name="nbsp"/></xsl:otherwise>
				</xsl:choose>

				<xsl:choose>
					<xsl:when test="Choicable/text()!='false'">
						<span>
							<xsl:attribute name="class"><xsl:if test="@Current!='false'">selected</xsl:if></xsl:attribute>
							<xsl:attribute name="onclick"><xsl:if test="@Current='false'">javascript:LMSUI_NavChoice("<xsl:value-of select="$identifier"/>");</xsl:if></xsl:attribute>
							<xsl:value-of select="Title/text()"/>
						</span>
					</xsl:when>
					<xsl:otherwise>
						<span class="selected">
							<xsl:value-of select="Title/text()"/>
						</span>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:call-template name="nbsp"/>
			</td>
			<!-- ActivityStatus̏o -->
				<!-- <xsl:apply-templates select="ActivityStatus"/> -->
			<!-- TrackingInfomation̏o -->
				<!-- <xsl:apply-templates select="TrackingInformation"/> -->
		</tr>
		<!-- qActivity̓eo -->
		<xsl:apply-templates select="Content"/>
	</xsl:template>


	<!-- ActivityStatus̓eo͂ev[g -->
	<xsl:template match="ActivityStatus">
	</xsl:template>

	<!-- TrackingInfomation̓eo͂ev[g -->
	<xsl:template match="TrackingInformation">
		<!-- AttemptCompletionStatus̏o -->
		<xsl:call-template name="outputBoolean">
			<xsl:with-param name="value" select="AttemptCompletionStatus/text()"/>
			<xsl:with-param name="baseXPath" select="'ContentsMenu/TrackingInformation/AttemptCompletionStatus'"/>
		</xsl:call-template>
		<!-- ObjectiveSatisfiedStatus̏o -->
<xsl:choose>
		<xsl:when test="not(Content[@Visible!='false'])">
			<xsl:call-template name="outputBoolean">
				<xsl:with-param name="value" select="ObjectiveSatisfiedStatus/text()"/>
				<xsl:with-param name="baseXPath" select="'ContentsMenu/TrackingInformation/ObjectiveSatisfiedStatus'"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
</xsl:choose>
	</xsl:template>

	<!-- Booleanl ActivityStatus / TrackingInfomation ̏o -->
	<xsl:template name="outputBoolean">
		<xsl:param name="value"/>
		<xsl:param name="baseXPath"/>

		<td nowrap="1" style="text-align: center;">
			<xsl:choose>
				<xsl:when test="$value='true'"><xsl:value-of select="java:jp.co.ntt.lms.lo.scorm.util.Message.get(concat($baseXPath, '[@id=&quot;true&quot;]'))"/></xsl:when>
				<xsl:when test="$value='false'"><xsl:value-of select="java:jp.co.ntt.lms.lo.scorm.util.Message.get(concat($baseXPath, '[@id=&quot;false&quot;]'))"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="java:jp.co.ntt.lms.lo.scorm.util.Message.get(concat($baseXPath, '[@id=&quot;else&quot;]'))"/></xsl:otherwise>
			</xsl:choose>
		</td>
	</xsl:template>
</xsl:stylesheet>
